<template>
  <div v-if="isloading">
    <v-container>
      <v-row dense class="scroll">
        <v-col v-for="(item, i) in items" :key="i" cols="12">
          <v-card color="white">
            <v-card-title
              class="headline"
              v-text="reduceTitle(item.title)"
            ></v-card-title>

            <v-card-subtitle
              v-text="reduceContent(item.content)"
            ></v-card-subtitle>

            <v-card-actions>
              <v-btn text @click="view(item)">View</v-btn>
              <v-spacer></v-spacer>
              <v-btn text v-text="item.createdAt"></v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<script>
import PasteDataService from "../services/PasteDataService";
export default {
  data: () => ({
    items: null,
    isloading: false
  }),
  created() {
    this.initialize();
  },
  methods: {
    initialize() {
      PasteDataService.retrieveAllPaste().then(res => {
        this.items = res.data;
        this.isloading = true;
      });
    },
    view(paste) {
      //console.log(paste);
      //this.$router.push('/view', paste);
      this.$router.push({ name: "view", params: paste });
    },
    reduce(text, n) {
      var reduceText = text;
      if (text.length > n) {
        reduceText = text.substring(0, n) + "...";
      }
      return reduceText;
    },
    reduceContent(content) {
      return this.reduce(content, 80);
    },
    reduceTitle(title) {
      return this.reduce(title, 15);
    }
  }
};
</script>
<style scoped>
.scroll {
  max-height: 620px;
  overflow: auto;
}
</style>
